/*  smplayer, GUI front-end for mplayer.
    Copyright (C) 2007 Ricardo Villalba <rvm@escomposlinux.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef _PLAYLISTITEM_H_
#define _PLAYLISTITEM_H_

#include <qlistview.h>

class PlaylistItem : public QListViewItem {

public:
	PlaylistItem(QListView * parent, int pos,
                 QString filename, QString name, float duration);
	~PlaylistItem() {};

	void setPos( int pos ) { _pos = pos; };
	void setFilename(QString filename) { _filename = filename; };
	void setName(QString name) { _name = name; };
	void setDuration(float duration) { _duration = duration; };

	int pos() { return _pos; };
	QString filename() { return _filename; };
	QString name() { return _name; };
	float duration() { return _duration; };

	virtual QString text( int column ) const;

private:
	int _pos;
	QString _filename, _name;
	float _duration;
};

#endif
